From: "Nick Sarnie" <sarnex@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/wine:master commit in: app-emulation/faudio/
Date: Sun, 16 Jun 2019 14:19:34 +0000 (UTC) [thread overview]
Message-ID: <1560694706.010d5c5416a7799ab16a2529393bf87267f92d39.sarnex@gentoo> (raw)
commit: 010d5c5416a7799ab16a2529393bf87267f92d39
Author: Maxime Lombard <berillions <AT> gmail <DOT> com>
AuthorDate: Sun Jun 16 14:17:25 2019 +0000
Commit: Nick Sarnie <sarnex <AT> gentoo <DOT> org>
CommitDate: Sun Jun 16 14:18:26 2019 +0000
URL: https://gitweb.gentoo.org/repo/proj/wine.git/commit/?id=010d5c54
app-emulation/faudio: Bump to 19.06
Fixes: https://bugs.gentoo.org/688148
Package-Manager: Portage-2.3.67, Repoman-2.3.14
Signed-off-by: Nick Sarnie <sarnex <AT> gentoo.org>
app-emulation/faudio/Manifest | 1 +
app-emulation/faudio/faudio-19.06.ebuild | 95 ++++++++++++++++++++++++++++++++
2 files changed, 96 insertions(+)
diff --git a/app-emulation/faudio/Manifest b/app-emulation/faudio/Manifest
index 4a77183..e01739f 100644
--- a/app-emulation/faudio/Manifest
+++ b/app-emulation/faudio/Manifest
@@ -1,3 +1,4 @@
DIST FAudio-19.01.tar.gz 885398 BLAKE2B 00b9c05cf67ed540a503937184d1c05faa957765c903473f94fddb0aa467efe79d90eb6f4fc88f61376849126104096e4b1204a6de6a31a74368cb991e8e44c0 SHA512 59447368eae94fc8a4bc1724a826bb4d8d53f65e4e5efa1f68fe0f7ea168f2c139e775975d93b26180b687cfb7419ec04bd2b285142a1fddb59e9575cc53e375
DIST FAudio-19.02.tar.gz 885974 BLAKE2B f8b2402f4005125c583637482a595da9f1a05ffb8c2836498fa5abed1bdae17aa1f1c2c28eb58e0e311bc82f47d48bcb3c626801942f18ecac2eab46c5913e3b SHA512 f3ea82aae5f90bbac286b8e72c1cb6a70e41fdf86f9c1043b465cb242f1232574e59e0ec724f3c317ed4c44a12d4dde87c8b1bc03832e1b011b4e61d9f70da39
DIST FAudio-19.03.tar.gz 886621 BLAKE2B 0cf0b60766d48472c72dc2aa9bbdb9a99db27836f38eccacb4be4bd98cf387b6009998018438e46835a9b9616d426b8a2c9f3c200b377bce2dc9bc18e42b0d37 SHA512 94e3e4f3f023879ef821d657e5a73ac25aab55c7be6a0afe77d75cabe644c9da083ae3c6a240b71af542da53a3eb34804e6a3193a0e619f89fcc20ff7d6ef095
+DIST FAudio-19.06.tar.gz 899089 BLAKE2B a59ad9613bcfa71e1fc8be1f2d389f56b8f96430c354b7c7148d1e1e084102b6d8559cd258f3ab6969a4ac93e55ea2397b18dc417857e9ee0f022ea0dae65c0e SHA512 ba3ee18b47d8d85dc39e777c420522349f9873cf1528dd6c266f7254fe27cdb5bb6ab5bcbeab870938b509bfd006590d2380908b7d1e3fd679d2a434ce82eca6
diff --git a/app-emulation/faudio/faudio-19.06.ebuild b/app-emulation/faudio/faudio-19.06.ebuild
new file mode 100644
index 0000000..295da56
--- /dev/null
+++ b/app-emulation/faudio/faudio-19.06.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# shellcheck disable=SC2034
+EAPI=7
+
+CMAKE_MAKEFILE_GENERATOR="emake"
+
+inherit cmake-multilib virtualx
+
+FAUDIO_PN="FAudio"
+FAUDIO_PV="${PV}"
+FAUDIO_P="${FAUDIO_PN}-${FAUDIO_PV}"
+
+if [[ "${PV}" == "9999" ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/FNA-XNA/${FAUDIO_PN}.git"
+else
+ SRC_URI="https://github.com/FNA-XNA/${FAUDIO_PN}/archive/${FAUDIO_PV}.tar.gz -> ${FAUDIO_P}.tar.gz"
+ KEYWORDS="-* ~amd64 ~x86 ~x86-fbsd"
+ S="${WORKDIR}/${FAUDIO_P}"
+fi
+
+DESCRIPTION="FAudio - Accuracy-focused XAudio reimplementation for open platforms"
+HOMEPAGE="https://fna-xna.github.io/"
+LICENSE="ZLIB"
+SLOT="0"
+
+IUSE="+abi_x86_32 +abi_x86_64 debug ffmpeg xnasong test utils"
+REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )"
+
+COMMON_DEPEND="
+ >=media-libs/libsdl2-2.0.9[sound,${MULTILIB_USEDEP}]
+ ffmpeg? ( media-video/ffmpeg:=[${MULTILIB_USEDEP}] )
+"
+RDEPEND="${COMMON_DEPEND}
+"
+DEPEND="${COMMON_DEPEND}
+"
+
+multilib_src_configure() {
+ local mycmakeargs=(
+ "-DCMAKE_INSTALL_BINDIR=bin"
+ "-DCMAKE_INSTALL_INCLUDEDIR=include/${FAUDIO_PN}"
+ "-DCMAKE_INSTALL_LIBDIR=$(get_libdir)"
+ "-DCMAKE_INSTALL_PREFIX=${EPREFIX%/}/usr"
+ "-DCMAKE_BUILD_TYPE=$(usex debug Debug Release)"
+ "-DFORCE_ENABLE_DEBUGCONFIGURATION=$(usex debug ON OFF)"
+ "-DBUILD_TESTS=$(usex test ON OFF)"
+ "-DBUILD_UTILS=$(usex utils ON OFF)"
+ "-DFFMPEG=$(usex ffmpeg ON OFF)"
+ "-DXNASONG=$(usex xnasong ON OFF)"
+ )
+ if use ffmpeg; then
+ mycmakeargs+=( "-DFFmpeg_LIBRARY_DIRS=${PREFIX%/}/usr/$(get_libdir)" )
+ fi
+ cmake-utils_src_configure
+}
+
+src_configure() {
+ cmake-multilib_src_configure
+}
+
+multilib_src_compile() {
+ cmake-utils_src_make
+ emake -C "${BUILD_DIR}" all
+}
+
+multilib_src_install() {
+ # FIXME: do we want to install the FAudio tools?
+ cmake-utils_src_install
+
+ sed -e "s/%LIB%/$(get_libdir)/g" "${FILESDIR}/faudio.pc" \
+ > "${T}/faudio.pc" \
+ || die "sed failed"
+ insinto "/usr/$(get_libdir)/pkgconfig"
+ doins "${T}/faudio.pc"
+
+ if use test; then
+ mkdir -p "${T}/$(get_libdir)"
+ cp "${BUILD_DIR}/faudio_tests" "${T}/$(get_libdir)/" || die "cp failed"
+ fi
+}
+
+faudio_test() {
+ XDG_RUNTIME_DIR="/run/user/0" virtx "${T}/$(get_libdir)/faudio_tests"
+}
+
+pkg_postinst() {
+ use test || return
+
+ # FIXME: FAudio tests are broken and also don't appear to work
+ # in the Portage sandbox.
+ multilib_foreach_abi faudio_test
+}
next reply other threads:[~2019-06-16 14:19 UTC|newest]
Thread overview: 6+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-06-16 14:19 Nick Sarnie [this message]
-- strict thread matches above, loose matches on Subject: below --
2021-01-10 0:20 [gentoo-commits] repo/proj/wine:master commit in: app-emulation/faudio/ Nick Sarnie
2019-10-01 1:16 Nick Sarnie
2019-09-15 15:24 Nick Sarnie
2019-03-17 14:14 Nick Sarnie
2019-03-16 20:47 Nick Sarnie
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1560694706.010d5c5416a7799ab16a2529393bf87267f92d39.sarnex@gentoo \
--to=sarnex@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox